Bug 240695 - netstat -ni takes forever with 20000 interfaces
netstat -ni takes forever with 20000 interfaces
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: net-tools (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-20 12:02 EDT by Benjamin LaHaise
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:36:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamin LaHaise 2007-05-20 12:02:41 EDT
On a system with 20,000 ppp network interfaces, netstat -ni takes more than 5
minutes to complete due to O(n^2) behaviour.  What strace shows is that netstat
is continually rereading /proc/net/dev to pick out the information about the
next interface.
Comment 1 Radek Vokal 2008-02-19 09:02:57 EST
I can't really reproduce it here but you're right, netcat opens /proc/net/dev
for every statistics. That's expected behavior. 
Comment 2 Benjamin LaHaise 2008-02-19 11:16:14 EST
Uhm, if you need a script to reproduce it that can be provided, but closing it
as CANTFIX doesn't resolve anything.
Comment 3 Radek Vokal 2008-02-20 02:57:49 EST
A script would help for sure. But I still lack 20.000 ppp interfaces .. 
Comment 4 Bug Zapper 2008-04-04 03:16:23 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 15:36:51 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.